# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBTableDelta

Packages that use IDBTableDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBTableDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBTableDelta
Modifier and Type
Method
Description
`IDBTableDelta`
IDBFieldDelta.`getParent()`
`IDBTableDelta`
IDBIndexDelta.`getParent()`
`IDBTableDelta`
IDBSchemaDelta.`getTableDelta(String name)`
`IDBTableDelta[]`
IDBSchemaDelta.`getTableDeltasSortedByName()`
Methods in org.eclipse.net4j.db.ddl.delta that return types with arguments of type IDBTableDelta
Modifier and Type
Method
Description
`Map<String,IDBTableDelta>`
IDBSchemaDelta.`getTableDeltas()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBTableDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBTableDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBTableDelta delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBTableDelta delta)`
`void`
IDBDeltaVisitor.`visit(IDBTableDelta delta)`

## Uses of IDBTableDelta in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBTableDelta
Modifier and Type
Method
Description
`protected void`
DBAdapter.`alterTable(Connection connection, IDBTable table, IDBTableDelta delta)`
`protected void`
DBAdapter.`createTable(Connection connection, IDBTable table, IDBTableDelta delta)`
`protected void`
DBAdapter.`dropTable(Connection connection, IDBTable table, IDBTableDelta delta)`